## qbs 1.10.1+dfsg

=== debian/control ===
Source: qbs
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Adam Majer <adamm@zombino.com>,
           Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 11),
               pkg-kde-tools,
               qtbase5-dev (>= 5.6.0),
               qtdeclarative5-private-dev,
               qtscript5-dev,
               qttools5-dev-tools
Build-Depends-Indep: libqt5sql5-sqlite
Standards-Version: 4.1.3
Homepage: https://wiki.qt.io/Qbs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/

Package: qbs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: qtcreator (<< 3.2.1+dfsg-8~)
Replaces: qtcreator (<< 3.2.1+dfsg-8~)
Description: cross-platform build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.

Package: qbs-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qbs (<< 1.4.3+dfsg-2~)
Replaces: qbs (<< 1.4.3+dfsg-2~)
Description: Qbs static files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs shared static files.

Package: libqbscore1.10
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: qbs-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qbs core library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs core shared library.

Package: libqbsqtprofilesetup1.10
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qbs profile setup library
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains Qbs profile setup shared library.

Package: qbs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqbscore1.10 (= ${binary:Version}),
         libqbsqtprofilesetup1.10 (= ${binary:Version}),
         ${misc:Depends}
Description: Qbs development files
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains headers and development files for Qbs.

Package: qbs-examples
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: examples for Qbs build tool
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the example source projects for Qbs.

Package: qbs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qbs documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the documentation for Qbs in QCH format, which can be
 viewed using Qt Assistant from qttools5-dev-tools package.

Package: qbs-doc-html
Multi-Arch: foreign
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qbs HTML documentation
 Qbs is a general purpose cross-platform build tool that aims at fast and
 correct incremental builds. It features a project description language that
 is similar to QML.
 .
 This package contains the HTML documentation for Qbs.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TMP_HOME_DIR = $(CURDIR)/debian/home

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_clean:
	dh_auto_clean
	rm -rfv doc/html $(TMP_HOME_DIR) tests/auto/*/testWorkDir lib
	rm -fv doc/qbs.qch bin/qbs* bin/tst*
	find . -type f -name .gitignore -delete -print

override_dh_auto_configure:
	dh_auto_configure -- qbs.pro \
		CONFIG+=debug \
		CONFIG+=qbs_disable_rpath \
		CONFIG+=qbs_enable_project_file_updates \
		CONFIG+=qbs_enable_unit_tests \
		QBS_INSTALL_PREFIX=/usr \
		QBS_LIBEXEC_INSTALL_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/qbs \
		QBS_LIBEXEC_DESTDIR=../../../lib/${DEB_HOST_MULTIARCH}/qbs \
		QBS_RELATIVE_LIBEXEC_PATH=../lib/${DEB_HOST_MULTIARCH}/qbs \
		QBS_LIBRARY_DIRNAME=lib/${DEB_HOST_MULTIARCH}

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_inst_html_docs
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; \
		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
		export HOME=$(TMP_HOME_DIR); \
		export QBS_AUTOTEST_PROFILE=qbs_autotests; \
		$(CURDIR)/bin/qbs-setup-toolchains --detect; \
		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
		LC_ALL=C.UTF-8 dh_auto_test
endif

override_dh_auto_test-indep:

override_dh_install:
	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbscore.so.1
	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbsqtprofilesetup.so.1
	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qbs/dmgbuild
	rm -rfv debian/tmp/usr/share/qbs/python
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs changelogs/changes-${DEB_VERSION_UPSTREAM:+dfsg=}.md

override_dh_strip:
	dh_strip --dbgsym-migration='qbs-dbg (<< 1.4.5+dfsg-1~)'

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg \
https://download.qt.io/official_releases/qbs/([\d\.]*)/qbs-src-([^-]*)\.tar\.gz

## qbs 1.11.1+dfsg

=== debian/changelog ===
qbs (1.11.1+dfsg-2) unstable; urgency=medium

  * Fix architecture independent builds.
  * Update libqbsqtprofilesetup1.11.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 14 May 2018 23:18:21 +0300

qbs (1.11.1+dfsg-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Update patches for new upstream release and remove reverse-
    applicable installed_headers.diff.

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 12 May 2018 20:00:45 -0500

qbs (1.11.0+dfsg-1) unstable; urgency=medium

  [ Alexander Volkov ]
  * New upstream release.
  * Drop fix_ftbfs_gcc6.diff, applied upstream.
  * Update QBS_LIBEXEC_DESTDIR for static.pro and fix DESTDIR for
    qbs_processlauncher (processlauncher_destdir.diff).
  * Set LD_LIBRARY_PATH for qbsres target so it could use built qbs
    to generate QML type descriptions (qml_type_descriptions.diff).
  * Fix the list of installed headers for qmake build (installed_headers.diff).
  * Update install files for the new release.
  * Rename the library packages according to upstream SONAME change.
  * Update symbols from build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Apr 2018 17:36:51 +0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                qtscript5-dev,
                qttools5-dev-tools
 Build-Depends-Indep: libqt5sql5-sqlite
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
@@ -42,7 +42,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.10
+Package: libqbscore1.11
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -55,7 +55,7 @@
  .
  This package contains Qbs core shared library.
 
-Package: libqbsqtprofilesetup1.10
+Package: libqbsqtprofilesetup1.11
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -72,8 +72,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.10 (= ${binary:Version}),
-         libqbsqtprofilesetup1.10 (= ${binary:Version}),
+Depends: libqbscore1.11 (= ${binary:Version}),
+         libqbsqtprofilesetup1.11 (= ${binary:Version}),
          ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and

=== debian/rules ===
--- 
+++ 
@@ -27,16 +27,18 @@
 		CONFIG+=qbs_enable_unit_tests \
 		QBS_INSTALL_PREFIX=/usr \
 		QBS_LIBEXEC_INSTALL_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/qbs \
-		QBS_LIBEXEC_DESTDIR=../../../lib/${DEB_HOST_MULTIARCH}/qbs \
+		QBS_LIBEXEC_DESTDIR=lib/${DEB_HOST_MULTIARCH}/qbs \
 		QBS_RELATIVE_LIBEXEC_PATH=../lib/${DEB_HOST_MULTIARCH}/qbs \
 		QBS_LIBRARY_DIRNAME=lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
+	dh_auto_build -- sub-static-res-pro
 
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_inst_html_docs
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
+	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-res-pro-install_subtargets
 
 override_dh_auto_test-arch:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)

## qbs 1.12.2+dfsg

=== debian/changelog ===
qbs (1.12.2+dfsg-2) unstable; urgency=medium

  * Add a patch to fix segfault with --log-level debug (closes: #917066).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Dec 2018 00:32:11 +0300

qbs (1.12.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/skip_test_concurrent.diff.
  * Update symbols files (closes: #916155).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Dec 2018 22:15:09 +0300

qbs (1.12.1+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 31 Oct 2018 14:43:46 +0300

qbs (1.12.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Tests now pass on i386 (closes: #908477).
  * Drop install_missing.patch, applied in the new release.
  * Refresh skip_test_concurrent.diff.
  * Remove dbgsym migration, it is no longer needed.
  * Use xz compression for the repacked tarball.
  * Update symbols files from buildds’ and the current build logs.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Sep 2018 12:59:09 +0300

qbs (1.12.0+dfsg-1) experimental; urgency=medium

  [ Alexander Volkov ]
  * New upstream release.
  * Install missing header file.
  * Update install files for the new release.
  * Rename the library packages according to upstream SONAME change.
  * Update symbols from build logs.

  [ Dmitry Shachnev ]
  * Update debian/copyright.
  * Bump qtbase5-dev build-dependency to 5.9.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Aug 2018 14:10:34 +0300

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelogs/changes-${DEB_VERSION_UPSTREAM:+dfsg=}.md
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='qbs-dbg (<< 1.4.5+dfsg-1~)'

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*//,repack,repacksuffix=+dfsg,compression=xz \
https://download.qt.io/official_releases/qbs/([\d\.]*)/qbs-src-([^-]*)\.tar\.gz

## qbs 1.12.2.1

=== debian/changelog ===
qbs (1.12.2.1-1+dde) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 09:42:41 +0800

## qbs 1.13.1

=== debian/changelog ===
qbs (1.13.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:20 +0100

qbs (1.13.1-2) unstable; urgency=medium

  * Update debian/libqbscore1.13.symbols from the current build log.
  * Add Build-Depends-Package field to debian/libqbscore1.13.symbols.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Oct 2019 15:13:07 +0300

qbs (1.13.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/patches/skip_test_concurrent.diff.
  * Update debian/libqbscore1.13.symbols from buildds’ logs.
  * Update debian/libqbscore1.13.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 12 Jun 2019 23:14:25 +0300

qbs (1.13.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Stop repacking the tarball, there is no more minified jquery.js.
  * Drop debug_log_level_segfault_fix.diff, included in the new release.
  * Refresh and rebase other patches.
  * Remove the libqtprofilesetup package, it is gone upstream.
  * Update debian/qbs-common.install and debian/qbs-dev.install.
  * Rename libqbscore1.12 to libqbscore1.13 for upstream SONAME change.
  * Update debian/libqbscore1.13.symbols from buildds’ logs.
  * Update debian/libqbscore1.13.symbols from the current build log.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 29 Apr 2019 22:43:49 +0300

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Dmitry Shachnev <mitya57@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.6.0),
+               qtbase5-dev (>= 5.9.0),
                qtdeclarative5-private-dev,
                qtscript5-dev,
                qttools5-dev-tools
 Build-Depends-Indep: libqt5sql5-sqlite
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
@@ -42,7 +42,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.11
+Package: libqbscore1.13
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -55,26 +55,11 @@
  .
  This package contains Qbs core shared library.
 
-Package: libqbsqtprofilesetup1.11
-Architecture: any
-Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qbs profile setup library
- Qbs is a general purpose cross-platform build tool that aims at fast and
- correct incremental builds. It features a project description language that
- is similar to QML.
- .
- This package contains Qbs profile setup shared library.
-
 Package: qbs-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.11 (= ${binary:Version}),
-         libqbsqtprofilesetup1.11 (= ${binary:Version}),
-         ${misc:Depends}
+Depends: libqbscore1.13 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,6 @@
 
 override_dh_install:
 	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbscore.so.1
-	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbsqtprofilesetup.so.1
 	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/qbs/dmgbuild
 	rm -rfv debian/tmp/usr/share/qbs/python
 	dh_install

=== debian/watch ===
version=3
https://download.qt.io/official_releases/qbs/([\d\.]*)/qbs-src-([^-]*)\.tar\.gz

## qbs 1.16.0

=== debian/changelog ===
qbs (1.16.0-2) unstable; urgency=medium

  * Update debian/libqbscore1.16.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 11:00:39 +0300

qbs (1.16.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh skip_test_concurrent.diff.
  * Update debian/libqbscore1.14.symbols from buildds’ logs.
  * Rename libqbscore1.14 to libqbscore1.16 for upstream SONAME change.
  * Install new files.
  * Update debian/libqbscore1.16.symbols from the current build log.
  * Update debian/copyright.
  * Make tests not fail when there are multiple GCC versions installed.
  * Test sanitizers only on amd64, they are not available everywhere.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 21 May 2020 21:00:57 +0300

qbs (1.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop qml_type_descriptions.diff, applied upstream.
  * Refresh kfreebsd_soname.diff.
  * Update debian/libqbscore1.13.symbols from buildds’ logs.
  * Rename libqbscore1.13 to libqbscore1.14 for upstream SONAME change.
  * Bump required Qt version to 5.11.0, following upstream.
  * Install new files.
  * Update debian/libqbscore1.14.symbols from the current build logs.
  * Update debian/copyright.
  * Bump debhelper compat level to 12, use the new syntax.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Nov 2019 14:56:40 +0300

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.9.0),
+               qtbase5-dev (>= 5.11.0),
                qtdeclarative5-private-dev,
                qtscript5-dev,
                qttools5-dev-tools
 Build-Depends-Indep: libqt5sql5-sqlite
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
@@ -42,7 +42,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.13
+Package: libqbscore1.16
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -59,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.13 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore1.16 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
 		export HOME=$(TMP_HOME_DIR); \
 		export QBS_AUTOTEST_PROFILE=qbs_autotests; \
-		$(CURDIR)/bin/qbs-setup-toolchains --detect; \
+		$(CURDIR)/bin/qbs-setup-toolchains /usr/bin/gcc gcc; \
 		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
 		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
 			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \

## qbs 1.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

## Add paths to check for cmake modules:
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(FeatureSummary)
include(QbsAPI)

file(STRINGS VERSION QBS_VERSION)
project(Qbs VERSION ${QBS_VERSION})

# Force C++ standard, do not fall back, do not use compiler extensions
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Set up Qt stuff:
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

option(WITH_TESTS "Build Tests" ON)
option(WITH_UNIT_TESTS "Build Unit Tests" OFF)
option(WITH_PROJECT_FILE_UPDATES "Enable project file updates support" OFF)
option(INSTALL_PUBLIC_HEADERS "Whether to install public headers" ON)
option(QBS_INSTALL_HTML_DOCS "Whether to install HTML Documentation" OFF)
option(QBS_INSTALL_QCH_DOCS "Whether to install QCH Documentation" OFF)

if(WITH_TESTS)
    enable_testing()
    set(QT_TEST_COMPONENT Test)
    set(IMPLICIT_DEPENDS Qt5::Test)
endif()

find_package(Qt5
    COMPONENTS Concurrent Core Gui Network Script Widgets Xml ${QT_TEST_COMPONENT}
    REQUIRED
    )

add_subdirectory(src)
add_subdirectory(doc)
add_subdirectory(share)
if(WITH_TESTS)
    add_subdirectory(tests)
endif()

=== debian/changelog ===
qbs (1.18.0-5) unstable; urgency=medium

  * Handle symlink to directory change in qbs-examples (closes: #985295).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Mar 2021 21:02:24 +0300

qbs (1.18.0-4) unstable; urgency=medium

  * Skip TestBlackboxJobLimits::jobLimits test that sometimes hangs on
    mipsel/mips64el (closes: #980872).
  * Run the remaining tests with QBS_AUTOTEST_ALWAYS_LOG_STD{OUT,ERR}=1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Jan 2021 14:18:12 +0300

qbs (1.18.0-3) unstable; urgency=medium

  * Run tests with --max-parallel=1 to make them more stable.
  * Bump required Qt version to 5.14.0, following upstream.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 21 Jan 2021 21:01:14 +0300

qbs (1.18.0-2) experimental; urgency=medium

  * Add one more file to debian/patches/no_nosys_specs.diff.
  * Update debian/libqbscore1.18.symbols from buildds’ logs.
  * Update debian/watch to version 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jan 2021 21:20:29 +0300

qbs (1.18.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Update debian/libqbscore1.17.symbols from buildds’ logs.
  * Rename libqbscore1.17 to libqbscore1.18 for upstream SONAME change.
  * Pass --buildsystem=qmake to dh, to prevent it from choosing cmake.
  * Add one new file to debian/qbs-common.install.
  * Update debian/libqbscore1.18.symbols from the current build logs.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Dec 2020 21:27:26 +0300

qbs (1.17.0-2) unstable; urgency=medium

  * Fix tests failures on ARM:
    - Do not use nosys.specs, it needs gcc-arm-none-eabi.
    - Disable build of arm-gcc.s, it causes errors from as.
  * Update debian/libqbscore1.17.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Sep 2020 15:43:21 +0300

qbs (1.17.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Update debian/libqbscore1.16.symbols from buildds’ logs.
  * Rename libqbscore1.16 to libqbscore1.17 for upstream SONAME change.
  * Install three new files for the capnproto module.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
    - Adapt to debhelper exporting its own $HOME for tests.
  * Update debian/libqbscore1.17.symbols from the current build logs.
  * Stop overriding libexec location (FHS v3.0 and Debian Policy v4.1.5
    allow for /usr/libexec).
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Sep 2020 13:35:34 +0300

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Adam Majer <adamm@zombino.com>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.11.0),
+               qtbase5-dev (>= 5.14.0),
                qtdeclarative5-private-dev,
                qtscript5-dev,
                qttools5-dev-tools
 Build-Depends-Indep: libqt5sql5-sqlite
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://wiki.qt.io/Qbs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qbs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qbs/
@@ -42,7 +42,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.16
+Package: libqbscore1.18
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -59,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.16 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore1.18 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QT_SELECT := qt5

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=qmake

override_dh_auto_clean:
	dh_auto_clean
	rm -rfv doc/html tests/auto/*/testWorkDir lib
	rm -fv doc/qbs.qch bin/qbs* bin/tst*
	find . -type f -name .gitignore -delete -print

override_dh_auto_configure:
	dh_auto_configure -- qbs.pro \
		CONFIG+=debug \
		CONFIG+=qbs_disable_rpath \
		CONFIG+=qbs_enable_project_file_updates \
		CONFIG+=qbs_enable_unit_tests \
		QBS_INSTALL_PREFIX=/usr \
		QBS_LIBRARY_DIRNAME=lib/${DEB_HOST_MULTIARCH}

override_dh_auto_build-indep:
	dh_auto_build -- docs
	dh_auto_build -- sub-static-res-pro

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_inst_html_docs
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-pro-install_subtargets
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp sub-static-res-pro-install_subtargets

override_dh_auto_test-arch:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -ex; \
		export LD_LIBRARY_PATH=$(CURDIR)/lib/${DEB_HOST_MULTIARCH}:$$LD_LIBRARY_PATH; \
		export HOME=$(CURDIR)/debian/.debhelper/generated/_source/home; \
		export QBS_AUTOTEST_PROFILE=qbs_autotests; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDOUT=1; \
		export QBS_AUTOTEST_ALWAYS_LOG_STDERR=1; \
		$(CURDIR)/bin/qbs-setup-toolchains /usr/bin/gcc gcc; \
		$(CURDIR)/bin/qbs-setup-qt /usr/bin/qmake qbs_autotests; \
		[ -n "`$(CURDIR)/bin/qbs-config --list profiles.qbs_autotests.baseProfile`" ] || \
			$(CURDIR)/bin/qbs-config profiles.qbs_autotests.baseProfile gcc; \
		LC_ALL=C.UTF-8 dh_auto_test --max-parallel=1
endif

override_dh_auto_test-indep:

override_dh_install:
	rm -fv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libqbscore.so.1
	rm -fv debian/tmp/usr/libexec/qbs/dmgbuild
	rm -rfv debian/tmp/usr/share/qbs/python
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs changelogs/changes-${DEB_VERSION_UPSTREAM:+dfsg=}.md

## qbs 1.19.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 include(FeatureSummary)
-include(QbsAPI)
+include(QbsBuildConfig)
 
 file(STRINGS VERSION QBS_VERSION)
 project(Qbs VERSION ${QBS_VERSION})
@@ -21,13 +21,6 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
-
-option(WITH_TESTS "Build Tests" ON)
-option(WITH_UNIT_TESTS "Build Unit Tests" OFF)
-option(WITH_PROJECT_FILE_UPDATES "Enable project file updates support" OFF)
-option(INSTALL_PUBLIC_HEADERS "Whether to install public headers" ON)
-option(QBS_INSTALL_HTML_DOCS "Whether to install HTML Documentation" OFF)
-option(QBS_INSTALL_QCH_DOCS "Whether to install QCH Documentation" OFF)
 
 if(WITH_TESTS)
     enable_testing()

=== share/CMakeLists.txt ===
if(WIN32)
    install(
        FILES ../bin/ibmsvc.xml ../bin/ibqbs.bat
        DESTINATION "${QBS_APP_INSTALL_DIR}"
        )
endif()
install(
    PROGRAMS ../src/3rdparty/python/bin/dmgbuild
    DESTINATION "${QBS_LIBEXEC_INSTALL_DIR}"
    )
add_custom_target(copy-runtime-files-dmgbuild ALL
    COMMAND ${CMAKE_COMMAND} -E copy
        ${CMAKE_CURRENT_SOURCE_DIR}/../src/3rdparty/python/bin/dmgbuild
        ${CMAKE_BINARY_DIR}/${QBS_OUTPUT_PREFIX}${QBS_LIBEXEC_INSTALL_DIR}
    )
install(
    # trailing slash avoid copying the 'site-packages' dir and only copies its content
    DIRECTORY ../src/3rdparty/python/lib/python2.7/site-packages/
    DESTINATION "${QBS_RESOURCES_INSTALL_DIR}/qbs/python"
    FILES_MATCHING PATTERN "*.py"
    )
install(
    DIRECTORY qbs
    DESTINATION "${QBS_RESOURCES_INSTALL_DIR}")
add_custom_target(copy-runtime-files-qbs ALL
    COMMAND ${CMAKE_COMMAND} -E copy_directory
        ${CMAKE_CURRENT_SOURCE_DIR}/qbs
        ${CMAKE_BINARY_DIR}/${QBS_OUTPUT_PREFIX}${QBS_RESOURCES_INSTALL_DIR}/qbs
    )
install(
    DIRECTORY ../examples
    DESTINATION "${QBS_RESOURCES_INSTALL_DIR}/qbs"
    )

get_update_path_command(UPDATE_PATH_COMMAND)
get_target_property(_QBS_OUTPUT_DIR qbs RUNTIME_OUTPUT_DIRECTORY)
add_custom_target(
    BuildQbsResources ALL
    COMMAND ${CMAKE_COMMAND} -E env "${UPDATE_PATH_COMMAND}" ${_QBS_OUTPUT_DIR}/qbs
        resolve
        --settings-dir ${PROJECT_BINARY_DIR}/settings
        -f ${PROJECT_SOURCE_DIR}/qbs.qbs
        -d ${PROJECT_BINARY_DIR}/
        config:resources-build
        qbs.installPrefix:undefined
        project.withCode:false
        project.withDocumentation:false
        profile:none
    COMMAND ${CMAKE_COMMAND} -E env "${UPDATE_PATH_COMMAND}" ${_QBS_OUTPUT_DIR}/qbs
        build
        --settings-dir ${PROJECT_BINARY_DIR}/settings
        -f ${PROJECT_SOURCE_DIR}/qbs.qbs
        -d ${PROJECT_BINARY_DIR}/
        config:resources-build
        -p "qbs resources"
    DEPENDS qbs copy-runtime-files-qbs qbs_processlauncher
    )

install(
    DIRECTORY ${PROJECT_BINARY_DIR}/resources-build/install-root/share/qbs/qml-type-descriptions
    DESTINATION "${QBS_RESOURCES_INSTALL_DIR}/qbs"
    )

install(
    DIRECTORY ${PROJECT_BINARY_DIR}/resources-build/install-root/share/qbs/qml-type-descriptions
    DESTINATION "${QBS_RESOURCES_INSTALL_DIR}/qbs"
    )

=== src/lib/corelib/CMakeLists.txt ===
set(QBS_HEADERS qbs.h)

set(FILE_UPDATE_SOURCES
    changeset.cpp
    changeset.h
    projectfileupdater.cpp
    projectfileupdater.h
    qmljsrewriter.cpp
    qmljsrewriter.h
    )
list_transform_prepend(FILE_UPDATE_SOURCES api/)

set(API_SOURCES
    internaljobs.cpp
    internaljobs.h
    jobs.cpp
    languageinfo.cpp
    project.cpp
    project_p.h
    projectdata.cpp
    projectdata_p.h
    propertymap_p.h
    rulecommand.cpp
    rulecommand_p.h
    runenvironment.cpp
    transformerdata.cpp
    transformerdata_p.h
    )
list_transform_prepend(API_SOURCES api/)

set(API_HEADERS
    jobs.h
    languageinfo.h
    project.h
    projectdata.h
    rulecommand.h
    runenvironment.h
    transformerdata.h
    )
list_transform_prepend(API_HEADERS api/)

set(BUILD_GRAPH_SOURCES
    abstractcommandexecutor.cpp
    abstractcommandexecutor.h
    artifact.cpp
    artifact.h
    artifactcleaner.cpp
    artifactcleaner.h
    artifactsscriptvalue.cpp
    artifactsscriptvalue.h
    artifactvisitor.cpp
    artifactvisitor.h
    buildgraph.cpp
    buildgraph.h
    buildgraphnode.cpp
    buildgraphnode.h
    buildgraphloader.cpp
    buildgraphloader.h
    buildgraphvisitor.h
    cycledetector.cpp
    cycledetector.h
    dependencyparametersscriptvalue.cpp
    dependencyparametersscriptvalue.h
    depscanner.cpp
    depscanner.h
    emptydirectoriesremover.cpp
    emptydirectoriesremover.h
    environmentscriptrunner.cpp
    environmentscriptrunner.h
    executor.cpp
    executor.h
    executorjob.cpp
    executorjob.h
    filedependency.cpp
    filedependency.h
    inputartifactscanner.cpp
    inputartifactscanner.h
    jscommandexecutor.cpp
    jscommandexecutor.h
    nodeset.cpp
    nodeset.h
    nodetreedumper.cpp
    nodetreedumper.h
    processcommandexecutor.cpp
    processcommandexecutor.h
    productbuilddata.cpp
    productbuilddata.h
    productinstaller.cpp
    productinstaller.h
    projectbuilddata.cpp
    projectbuilddata.h
    qtmocscanner.cpp
    qtmocscanner.h
    rawscanneddependency.cpp
    rawscanneddependency.h
    rawscanresults.cpp
    rawscanresults.h
    requestedartifacts.cpp
    requestedartifacts.h
    requesteddependencies.cpp
    requesteddependencies.h
    rescuableartifactdata.h
    rulecommands.cpp
    rulecommands.h
    rulegraph.cpp
    rulegraph.h
    rulenode.cpp
    rulenode.h
    rulesapplicator.cpp
    rulesapplicator.h
    rulesevaluationcontext.cpp
    rulesevaluationcontext.h
    scriptclasspropertyiterator.h
    timestampsupdater.cpp
    timestampsupdater.h
    transformer.cpp
    transformer.h
    transformerchangetracking.cpp
    transformerchangetracking.h
    )
list_transform_prepend(BUILD_GRAPH_SOURCES buildgraph/)

set(BUILD_GRAPH_HEADERS buildgraph/forward_decls.h)

set(GENERATORS_SOURCES
    generatableprojectiterator.cpp
    generatableprojectiterator.h
    generator.cpp
    generatordata.cpp
    generatorutils.cpp
    generatorutils.h
    generatorversioninfo.cpp
    generatorversioninfo.h
    igeneratableprojectvisitor.h
    ixmlnodevisitor.h
    xmlproject.cpp
    xmlproject.h
    xmlprojectwriter.cpp
    xmlprojectwriter.h
    xmlproperty.cpp
    xmlproperty.h
    xmlpropertygroup.cpp
    xmlpropertygroup.h
    xmlworkspace.cpp
    xmlworkspace.h
    xmlworkspacewriter.cpp
    xmlworkspacewriter.h
    )
list_transform_prepend(GENERATORS_SOURCES generators/)

set(GENERATORS_HEADERS generators/generator.h generators/generatordata.h)

set(JS_EXTENSIONS_SOURCES
    environmentextension.cpp
    file.cpp
    fileinfoextension.cpp
    jsextensions.cpp
    jsextensions.h
    moduleproperties.cpp
    moduleproperties.h
    process.cpp
    temporarydir.cpp
    textfile.cpp
    binaryfile.cpp
    utilitiesextension.cpp
    domxml.cpp
    )
list_transform_prepend(JS_EXTENSIONS_SOURCES jsextensions/)

if(APPLE)
    set(JS_EXTENSIONS_MACOS_SOURCES
        propertylist_darwin.h
        propertylist_darwin.mm
        propertylistutils.h
        propertylistutils.mm
        )
else()
    set(JS_EXTENSIONS_MACOS_SOURCES propertylist.cpp)
endif()
list_transform_prepend(JS_EXTENSIONS_MACOS_SOURCES jsextensions/)

set(LANGUAGE_SOURCES
    artifactproperties.cpp
    artifactproperties.h
    astimportshandler.cpp
    astimportshandler.h
    astpropertiesitemhandler.cpp
    astpropertiesitemhandler.h
    asttools.cpp
    asttools.h
    builtindeclarations.cpp
    builtindeclarations.h
    deprecationinfo.h
    evaluationdata.h
    evaluator.cpp
    evaluator.h
    evaluatorscriptclass.cpp
    evaluatorscriptclass.h
    filecontext.cpp
    filecontext.h
    filecontextbase.cpp
    filecontextbase.h
    filetags.cpp
    filetags.h
    identifiersearch.cpp
    identifiersearch.h
    item.cpp
    item.h
    itemdeclaration.cpp
    itemdeclaration.h
    itemobserver.h
    itempool.cpp
    itempool.h
    itemreader.cpp
    itemreader.h
    itemreaderastvisitor.cpp
    itemreaderastvisitor.h
    itemreadervisitorstate.cpp
    itemreadervisitorstate.h
    itemtype.h
    jsimports.h
    language.cpp
    language.h
    loader.cpp
    loader.h
    moduleloader.cpp
    moduleloader.h
    modulemerger.cpp
    modulemerger.h
    moduleproviderinfo.h
    preparescriptobserver.cpp
    preparescriptobserver.h
    projectresolver.cpp
    projectresolver.h
    property.cpp
    property.h
    propertydeclaration.cpp
    propertydeclaration.h
    propertymapinternal.cpp
    propertymapinternal.h
    qualifiedid.cpp
    qualifiedid.h
    resolvedfilecontext.cpp
    resolvedfilecontext.h
    scriptengine.cpp
    scriptengine.h
    scriptimporter.cpp
    scriptimporter.h
    scriptpropertyobserver.cpp
    scriptpropertyobserver.h
    value.cpp
    value.h
    )
list_transform_prepend(LANGUAGE_SOURCES language/)

set(LANGUAGE_HEADERS language/forward_decls.h)

set(LOGGING_SOURCES
    categories.cpp
    categories.h
    ilogsink.cpp
    logger.cpp
    logger.h
    translator.h
    )
list_transform_prepend(LOGGING_SOURCES logging/)

set(LOGGING_HEADERS logging/ilogsink.h)

set(PARSER_SOURCES
    qmlerror.cpp
    qmlerror.h
    qmljsast.cpp
    qmljsast_p.h
    qmljsastfwd_p.h
    qmljsastvisitor.cpp
    qmljsastvisitor_p.h
    qmljsengine_p.cpp
    qmljsengine_p.h
    qmljsglobal_p.h
    qmljsgrammar.cpp
    qmljsgrammar_p.h
    qmljskeywords_p.h
    qmljslexer.cpp
    qmljslexer_p.h
    qmljsmemorypool_p.h
    qmljsparser.cpp
    qmljsparser_p.h
    )
list_transform_prepend(PARSER_SOURCES parser/)

set(TOOLS_SOURCES
    architectures.cpp
    buildgraphlocker.cpp
    buildgraphlocker.h
    buildoptions.cpp
    clangclinfo.cpp
    clangclinfo.h
    cleanoptions.cpp
    codelocation.cpp
    commandechomode.cpp
    dynamictypecheck.h
    error.cpp
    executablefinder.cpp
    executablefinder.h
    fileinfo.cpp
    fileinfo.h
    filesaver.cpp
    filesaver.h
    filetime.cpp
    filetime.h
    generateoptions.cpp
    hostosinfo.h
    id.cpp
    id.h
    iosutils.h
    joblimits.cpp
    jsliterals.cpp
    jsliterals.h
    jsonhelper.h
    installoptions.cpp
    launcherinterface.cpp
    launcherinterface.h
    launcherpackets.cpp
    launcherpackets.h
    launchersocket.cpp
    launchersocket.h
    msvcinfo.cpp
    msvcinfo.h
    pathutils.h
    persistence.cpp
    persistence.h
    preferences.cpp
    processresult.cpp
    processresult_p.h
    processutils.cpp
    processutils.h
    profile.cpp
    profiling.cpp
    profiling.h
    progressobserver.cpp
    progressobserver.h
    projectgeneratormanager.cpp
    qbsassert.cpp
    qbsassert.h
    qbspluginmanager.cpp
    qbspluginmanager.h
    qbsprocess.cpp
    qbsprocess.h
    qttools.cpp
    qttools.h
    scannerpluginmanager.cpp
    scannerpluginmanager.h
    scripttools.cpp
    scripttools.h
    set.h
    settings.cpp
    settingscreator.cpp
    settingscreator.h
    settingsmodel.cpp
    settingsrepresentation.cpp
    setupprojectparameters.cpp
    shellutils.cpp
    shellutils.h
    stlutils.h
    stringconstants.h
    stringutils.h
    toolchains.cpp
    version.cpp
    visualstudioversioninfo.cpp
    visualstudioversioninfo.h
    vsenvironmentdetector.cpp
    vsenvironmentdetector.h
    weakpointer.h
    )
list_transform_prepend(TOOLS_SOURCES tools/)

set(TOOLS_HEADERS
    architectures.h
    buildoptions.h
    cleanoptions.h
    codelocation.h
    commandechomode.h
    error.h
    generateoptions.h
    installoptions.h
    joblimits.h
    preferences.h
    processresult.h
    profile.h
    projectgeneratormanager.h
    qbs_export.h
    settings.h
    settingsmodel.h
    settingsrepresentation.h
    setupprojectparameters.h
    toolchains.h
    version.h
    )
list_transform_prepend(TOOLS_HEADERS tools/)

set(EXTERNAL_DEPENDS "")
if(APPLE)
    set(TOOLS_MACOS_SOURCES
        applecodesignutils.cpp
        applecodesignutils.h
        )
    list_transform_prepend(TOOLS_MACOS_SOURCES tools/)
    set(EXTERNAL_DEPENDS "-framework Foundation" "-framework Security")
endif()

if(WIN32)
    set(EXTERNAL_DEPENDS "psapi" "shell32")
endif()

add_qbs_library(qbscore
    DEFINES
        "QBS_VERSION=\"${QBS_VERSION}\""
        "QBS_RELATIVE_LIBEXEC_PATH=\"${QBS_RELATIVE_LIBEXEC_PATH}\""
        "QBS_LIBRARY"
        ${QBS_UNIT_TESTS_DEFINES}
    PUBLIC_DEFINES
        ${QBS_PROJECT_FILE_UPDATES_DEFINES}
    DEPENDS
        Qt5::CorePrivate Qt5::Network Qt5::Script Qt5::Xml ${EXTERNAL_DEPENDS}
    PUBLIC_DEPENDS
        Qt5::Core
    INCLUDES
        "${CMAKE_CURRENT_SOURCE_DIR}/../.."
    SOURCES
        ${QBS_HEADERS}
        ${FILE_UPDATE_SOURCES}
        ${API_SOURCES}
        ${API_HEADERS}
        ${BUILD_GRAPH_SOURCES}
        ${BUILD_GRAPH_HEADERS}
        ${GENERATORS_SOURCES}
        ${GENERATORS_HEADERS}
        ${JS_EXTENSIONS_SOURCES}
        ${JS_EXTENSIONS_MACOS_SOURCES}
        ${LANGUAGE_SOURCES}
        ${LANGUAGE_HEADERS}
        ${LOGGING_SOURCES}
        ${LOGGING_HEADERS}
        ${PARSER_SOURCES}
        ${TOOLS_SOURCES}
        ${TOOLS_HEADERS}
        ${TOOLS_MACOS_SOURCES}
    )

# not sure if there's a better way to do this
if(INSTALL_PUBLIC_HEADERS)
    install(FILES ${QBS_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR})
    install(FILES ${API_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/api)
    install(FILES ${BUILD_GRAPH_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/buildgraph)
    install(FILES ${GENERATORS_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/generators)
    install(FILES ${LOGGING_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/logging)
    install(FILES ${LANGUAGE_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/language)
    install(FILES ${TOOLS_HEADERS} DESTINATION ${QBS_HEADERS_INSTALL_DIR}/tools)
    set(QMAKE_PRI_FILES use_installed_corelib.pri ../../../qbs_version.pri)
    install(FILES ${QMAKE_PRI_FILES} DESTINATION ${QBS_HEADERS_INSTALL_DIR})
endif()

=== debian/changelog ===
qbs (1.19.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop add_1.19.1_changelog.diff and stop installing the changelog.
    For the third release in a row, the changelog for the current version
    is not present in the upstream tarball.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Aug 2021 15:21:16 +0300

qbs (1.19.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop the patch for missing 1.19.0 changelog.
  * Upstream forgot to include changelog again, so add a new patch for it.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Jun 2021 20:16:50 +0300

qbs (1.19.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Backport upstream patch to add missing changelog for 1.19.0 release.
  * Add new files to debian/qbs-common.install.
  * Rename libqbscore1.18 to libqbscore1.19 for upstream SONAME change.
  * Update debian/libqbscore1.19.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 May 2021 21:24:21 +0300

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  .
  This package contains Qbs shared static files.
 
-Package: libqbscore1.18
+Package: libqbscore1.19
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -59,7 +59,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqbscore1.18 (= ${binary:Version}), ${misc:Depends}
+Depends: libqbscore1.19 (= ${binary:Version}), ${misc:Depends}
 Description: Qbs development files
  Qbs is a general purpose cross-platform build tool that aims at fast and
  correct incremental builds. It features a project description language that

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,3 @@
 	rm -fv debian/tmp/usr/libexec/qbs/dmgbuild
 	rm -rfv debian/tmp/usr/share/qbs/python
 	dh_install
-
-override_dh_installchangelogs:
-	dh_installchangelogs changelogs/changes-${DEB_VERSION_UPSTREAM:+dfsg=}.md
